<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
        "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"
      xmlns:h="http://xmlns.jcp.org/jsf/html"
      xmlns:ui="http://xmlns.jcp.org/jsf/facelets"
      xmlns:f="http://xmlns.jcp.org/jsf/core"
      xmlns:b="http://bootsfaces.net/ui"
      xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
      xsi:schemaLocation="http://xmlns.jcp.org/jsf/core ">


<ui:composition template="/WEB-INF/template.xhtml">
    <ui:define name="pageContent">
        <b:container>
            <div class="formPanel">
                <b:panel title="#{lg['flights.title.yourdetails']}" collapsible="false" look="primary"
                         styleClass="panel">
                    <b:row>
                        <b:column span="9">
                            <b:row>
                                <!-- first row : flight code & company name-->
                                <b:column span="3" styleClass="detailsFlightCode">
                                    <b:iconAwesome value="fas fa-plane-departure" />
                                    <h:outputText value="#{searchResultBean.chosenFlight.airline.code}"/>
                                </b:column>
                                <b:column span="9" styleClass="detailsCompany">
                                    <h:outputText value="#{searchResultBean.chosenFlight.airline.name}"/>
                                </b:column>
                            </b:row>
                            <b:row>
                                <!-- second row: columns titles-->
                                <b:column span="2" offset="8" class="dateTime">
                                    <h:outputText value="#{lg['flight.date']}"/>
                                </b:column>
                                <b:column span="2" class="dateTime">
                                    <h:outputText value="#{lg['flight.time']}"/>
                                </b:column>
                            </b:row>
                            <b:row>
                                <!-- Third row : FROM row-->
                                <b:column span="1" class="fromToDepArr">
                                    <h:outputText value="#{lg['flights.from']}">:</h:outputText>
                                </b:column>
                                <b:column span="5">
                                    <h:outputText value="#{searchResultBean.chosenFlight.flightRoute.origin.name}"/>
                                </b:column>
                                <b:column span="2" class="fromToDepArr">
                                    <h:outputText value="#{lg['flights.departure']}">:</h:outputText>
                                </b:column>
                                <b:column span="2">
                                    <h:outputText value="#{searchResultBean.chosenFlight.departureLocalDateTime.toLocalDate().toString()}"/>
                                </b:column>
                                <b:column span="2">
                                    <h:outputText value="#{searchResultBean.chosenFlight.departureLocalDateTime.toLocalTime().toString()}"/>
                                </b:column>
                            </b:row>
                            <b:row>
                                <!--4th row : TO row-->
                                <b:column span="1" class="fromToDepArr">
                                    <h:outputText value="#{lg['flights.to']}">:</h:outputText>
                                </b:column>
                                <b:column span="5">
                                    <h:outputText value="#{searchResultBean.chosenFlight.flightRoute.destination.name}"/>
                                </b:column>
                                <b:column span="2" class="fromToDepArr">
                                    <h:outputText value="#{lg['flights.arrival']}">:</h:outputText>
                                </b:column>
                                <b:column span="2">
                                    <h:outputText value="#{searchResultBean.chosenFlight.arrivalLocalDateTime.toLocalDate().toString()}"/>
                                </b:column>
                                <b:column span="1">
                                    <h:outputText value="#{searchResultBean.chosenFlight.arrivalLocalDateTime.toLocalTime().toString()}"/>
                                </b:column>
                            </b:row>
                            <!-- generated only for 2 way flights -->
                            <b:row
                                    style="border-top:1px dashed #aaaaaa; padding-top:10px; margin-top:10px;"
                                    rendered="#{not empty searchResultBean.returnSearchResults}" >
                                <!-- first row : flight code & company name-->
                                <b:column span="3" styleClass="detailsFlightCode">
                                    <b:iconAwesome value="flight_takeoff">
                                        <b:iconAwesome value="fas fa-plane-arrival" />
                                        <h:outputText value="#{searchResultBean.chosenFlight.airline.code}"/>
                                    </b:iconAwesome>
                                </b:column>
                                <b:column span="9" styleClass="detailsCompany">
                                    <h:outputText value="#{searchResultBean.chosenFlight.airline.name}"/>
                                </b:column>
                            </b:row>
                            <b:row>
                                <!-- second row: columns titles-->
                                <b:column span="2" offset="8" class="dateTime">
                                    <h:outputText value="#{lg['flight.date']}"/>
                                </b:column>
                                <b:column span="2" class="dateTime">
                                    <h:outputText value="#{lg['flight.time']}"/>
                                </b:column>
                            </b:row>
                            <b:row>
                                <!-- Third row : FROM row-->
                                <b:column span="1" class="fromToDepArr">
                                    <h:outputText value="#{lg['flights.from']}">:</h:outputText>
                                </b:column>
                                <b:column span="5">
                                    <h:outputText value="#{searchResultBean.chosenFlight.flightRoute.origin.name}"/>
                                </b:column>
                                <b:column span="2" class="fromToDepArr">
                                    <h:outputText value="#{lg['flights.departure']}">:</h:outputText>
                                </b:column>
                                <b:column span="2">
                                    <h:outputText value="#{searchResultBean.chosenFlight.departureLocalDateTime.toLocalDate().toString()}"/>
                                </b:column>
                                <b:column span="2">
                                    <h:outputText value="#{searchResultBean.chosenFlight.departureLocalDateTime.toLocalTime().toString()}"/>
                                </b:column>
                            </b:row>
                            <b:row>
                                <!--4th row : TO row-->
                                <b:column span="1" class="fromToDepArr">
                                    <h:outputText value="#{lg['flights.to']}">:</h:outputText>
                                </b:column>
                                <b:column span="5">
                                    <h:outputText value="#{searchResultBean.chosenFlight.flightRoute.destination.name}"/>
                                </b:column>
                                <b:column span="2" class="fromToDepArr">
                                    <h:outputText value="#{lg['flights.arrival']}">:</h:outputText>
                                </b:column>
                                <b:column span="2">
                                    <h:outputText value="#{searchResultBean.chosenFlight.arrivalLocalDateTime.toLocalDate().toString()}"/>
                                </b:column>
                                <b:column span="1">
                                    <h:outputText value="#{searchResultBean.chosenFlight.arrivalLocalDateTime.toLocalTime().toString()}"/>
                                </b:column>
                            </b:row>
                        </b:column>
                        <!-- price part on the right side of the panel -->

                    </b:row>
                    <b:row>
                        <b:column offset="9">
                            <h:form>
                                <b:commandButton look="success" span="3">Book!</b:commandButton>
                            </h:form>
                        </b:column>
                    </b:row>
                </b:panel>
            </div>
        </b:container>
    </ui:define>
</ui:composition>
</html>